Localizacion Mexicana OpenERP 8

Asked by Saul on 2014-05-13

Buenas tardes

Estoy tratando de instalar la Localizacion Mexicana en OpenERP 8
Actualmente estoy usando la revision 332 de la Localizacion Mexicana y OpenERP version 8.0dev-20140416-230101.

Al momento de instalar el modulo Creacion de Factura Electronica para Mexico (CFD) me marca el siguiente error:

Traceback (most recent call last):
  File "/opt/openerp/80/openerp/http.py", line 470, in dispatch
    result = self._call_function(**self.params)
  File "/opt/openerp/80/openerp/http.py", line 294, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/openerp/80/openerp/service/model.py", line 113, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/openerp/80/openerp/http.py", line 291, in checked_call
    return self.endpoint(*a, **kw)
  File "/opt/openerp/80/openerp/http.py", line 638, in __call__
    return self.method(*args, **kw)
  File "/opt/openerp/80/openerp/http.py", line 337, in response_wrap
    response = f(*args, **kw)
  File "/opt/openerp/80/openerp/addons/web/controllers/main.py", line 1246, in call_button
    action = self._call_kw(model, method, args, {})
  File "/opt/openerp/80/openerp/addons/web/controllers/main.py", line 1234, in _call_kw
    return getattr(request.registry.get(model), method)(request.cr, request.uid, *args, **kwargs)
  File "/opt/openerp/80/openerp/addons/base/module/module.py", line 428, in button_immediate_install
    return self._button_immediate_function(cr, uid, ids, self.button_install, context=context)
  File "/opt/openerp/80/openerp/addons/base/module/module.py", line 479, in _button_immediate_function
    registry = openerp.modules.registry.RegistryManager.new(cr.dbname, update_module=True)
  File "/opt/openerp/80/openerp/modules/registry.py", line 299, in new
    openerp.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/opt/openerp/80/openerp/modules/loading.py", line 339, in load_modules
    loaded_modules, update_module)
  File "/opt/openerp/80/openerp/modules/loading.py", line 243, in load_marked_modules
    loaded, processed = load_module_graph(cr, graph, progressdict, report=report, skip_modules=loaded_modules, perform_checks=perform_checks)
  File "/opt/openerp/80/openerp/modules/loading.py", line 149, in load_module_graph
    load_openerp_module(package.name)
  File "/opt/openerp/80/openerp/modules/module.py", line 266, in load_openerp_module
    __import__('openerp.addons.' + module_name)
  File "/opt/openerp/80/openerp/modules/module.py", line 72, in load_module
    mod = imp.load_module('openerp.addons.' + module_part, f, path, descr)
  File "/opt/openerp/80/openerp/addons/l10n_mx_facturae_report/__init__.py", line 28, in <module>
    import report
  File "/opt/openerp/80/openerp/addons/l10n_mx_facturae_report/report/__init__.py", line 28, in <module>
    import invoice_facturae_html
  File "/opt/openerp/80/openerp/addons/l10n_mx_facturae_report/report/invoice_facturae_html.py", line 36, in <module>
    from report_webkit import webkit_report
ImportError: No module named report_webkit

Busco en la lista de modulos y veo que si esta instalado Motor de informes Webkit

1.- Es compatible localizacion mexicana con esta version de OpenERP???
2.- Si es asi, como puedo corregir este error???

Nota: Despues de esto cualquier modulo que intento instalar me marca el mismo error

De antemano muchas gracias

Question information

Language:
Spanish Edit question
Status:
Answered
For:
openerp-mexico-localization Edit question
Assignee:
No assignee Edit question
Last query:
2014-05-13
Last reply:
2014-06-20
Jorge Medina (jorge-medina) said : #1

Buenos días

La verdad no sé si sea compatible ya que la rama dice 7.0 y pues apenas el personal de Vauxxo te podrían apoyar si es compatible o no con la 8, ya que desconozco si se cambio algo de la 7 a la 8 con respecto a vistas, clases u otra cosa.

Saludos

Actualmente el branch stable es 7.0

Luis (luisfernando001) said : #3

Hola, gracias por sus importantes contribuciones Moisés, me pregunto si actualmente están trabajando en la versión stable para la versión 8 o considera que falta mucho tiempo para que se haga el release?

Gracias y saludos

Hola Saul:

Aqui pasando, creo que el error esta muy sencillo

"from report_webkit import webkit_report
ImportError: No module named report_webkit"

Es decir, te falta el modulo de webkit el cual es necesario para el formato impreso del CFDI, checa si lo tienes bien instalado e igual avisa si funciona por que tambien tengo esa duda.

Saludos!

Can you help with this problem?

Provide an answer of your own, or ask Saul for more information if necessary.

To post a message you must log in.